import request from '@/utils/request'

// 查询aiSIP外呼技能组列表
export function listAiSipCallBizGroup(query) {
  return request({
    url: '/his/aiSipCall/bizGroup/list',
    method: 'get',
    params: query
  })
}

// 查询aiSIP外呼技能组详细
export function getAiSipCallBizGroup(groupId) {
  return request({
    url: '/his/aiSipCall/bizGroup/' + groupId,
    method: 'get'
  })
}

// 新增aiSIP外呼技能组
export function addAiSipCallBizGroup(data) {
  return request({
    url: '/his/aiSipCall/bizGroup',
    method: 'post',
    data: data
  })
}

// 修改aiSIP外呼技能组
export function updateAiSipCallBizGroup(data) {
  return request({
    url: '/his/aiSipCall/bizGroup',
    method: 'put',
    data: data
  })
}

// 删除aiSIP外呼技能组
export function delAiSipCallBizGroup(groupId) {
  return request({
    url: '/his/aiSipCall/bizGroup/' + groupId,
    method: 'delete'
  })
}

// 导出aiSIP外呼技能组
export function exportAiSipCallBizGroup(query) {
  return request({
    url: '/his/aiSipCall/bizGroup/export',
    method: 'get',
    params: query
  })
}
